View Issue Details

IDProjectCategoryView StatusLast Update
0016299ScribusScripterpublic2020-11-07 14:52
Reporterale Assigned Tojghali  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.5.6.svn 
Target VersionFixed in Version1.5.6.svn 
Summary0016299: Add support for retrieving objects on a specific layer to the scripter
Descriptionadd getAllLayerItems() to the scripter

i can work on a patch...
TagsNo tags attached.
PatchNo

Activities

ale

2020-11-02 07:29

manager   ~0048285

... getAllLayerItems()... of course...

ale

2020-11-02 13:21

manager   ~0048290

jean, i put it on hold until i see your implementation...

jghali

2020-11-03 10:26

administrator   ~0048309

Last edited: 2020-11-03 10:27

View 2 revisions

I've added support for retrieving items on a specific layer to getAllObjects() as part of r24159. So now you can do such calls:
* objectList = getAllObjects() -> get all objects on current page
* objectList = getAllObjects(layer = "New Layer") -> get all objects located on current page and layer "New Layer"
* objectList = getAllObjects(page = 1) -> get all objects on second page (index is 0 - based)
* objectList = getAllObjects(page = 1, layer = "New Layer") -> get all objects located on second page and layer "New Layer"

Issue History

Date Modified Username Field Change
2020-11-01 20:01 ale New Issue
2020-11-02 07:29 ale Note Added: 0048285
2020-11-02 09:45 ale Summary add getAllLayerObjects() to the scripter => add getAllLayerItems() to the scripter
2020-11-02 09:45 ale Description Updated View Revisions
2020-11-02 13:21 ale Note Added: 0048290
2020-11-03 10:26 jghali Summary add getAllLayerItems() to the scripter => Add support for retrieving objects on a specific layer to the scripter
2020-11-03 10:26 jghali Note Added: 0048309
2020-11-03 10:27 jghali Note Edited: 0048309 View Revisions
2020-11-03 10:29 jghali Assigned To => jghali
2020-11-03 10:29 jghali Status new => resolved
2020-11-03 10:29 jghali Resolution open => fixed
2020-11-03 10:29 jghali Fixed in Version => 1.5.6.svn
2020-11-07 14:52 cbradney Status resolved => closed